## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global _vpath_srcdir ..

%global common_desc							\
Arc is a flat theme with transparent elements for GTK 3, GTK 2 and	\
Gnome-Shell which supports GTK 3 and GTK 2 based desktop environments	\
like Gnome, Cinnamon, Budgie, Pantheon, XFCE, Mate, etc.


Name:		arc-theme
Version:	20221218
Release:	%autorelease
Summary:	Flat theme with transparent elements

License:	GPLv3+
URL:		https://github.com/jnsh/%{name}
Source0:	%{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:	noarch

%if 0%{?fedora} >= 39
ExcludeArch:    %{ix86}
%endif

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk3-devel
BuildRequires:	gtk4-devel
BuildRequires:	gtk-murrine-engine
BuildRequires:	inkscape
BuildRequires:	optipng
BuildRequires:	sassc
BuildRequires:	cinnamon
BuildRequires:	make
BuildRequires:	meson
BuildRequires:	gnome-shell

Requires:	filesystem
Requires:	gtk-murrine-engine
Requires:	gnome-themes-extra

%description
%{common_desc}


%package plank
Summary:	Arc-theme for Plank dock

Requires:	%{name} == %{version}-%{release}

%if 0%{?fedora}
Requires:	plank
Supplements:	(%{name} and plank)
%endif

%description plank
%{common_desc}

This package contains the %{summary}.


%prep
%autosetup -p 1

%build
%{__mkdir} -p regular solid

pushd regular
%meson -Dthemes=cinnamon,gnome-shell,gtk2,gtk3,gtk4,metacity,plank,xfwm
%meson_build
popd

pushd solid
%meson -Dthemes=cinnamon,gnome-shell,gtk2,gtk3,gtk4,metacity,plank,xfwm -Dtransparency=false
%meson_build
popd

%install
pushd regular
%meson_install
popd

pushd solid
%meson_install
popd

# Install Plank-theme.
%{__mkdir} -p %{buildroot}/%{_datadir}/plank/themes/{Arc{,-solid},Arc-Lighter{,-solid},Arc-Darker{,-solid},Arc-Dark{,-solid}}
%{__install} -pm 0644 %{buildroot}/%{_datadir}/themes/Arc/plank/dock.theme %{buildroot}/%{_datadir}/plank/themes/Arc/
%{__install} -pm 0644 %{buildroot}/%{_datadir}/themes/Arc-solid/plank/dock.theme %{buildroot}/%{_datadir}/plank/themes/Arc-solid/
%{__install} -pm 0644 %{buildroot}/%{_datadir}/themes/Arc-Lighter/plank/dock.theme %{buildroot}/%{_datadir}/plank/themes/Arc-Lighter/
%{__install} -pm 0644 %{buildroot}/%{_datadir}/themes/Arc-Lighter-solid/plank/dock.theme %{buildroot}/%{_datadir}/plank/themes/Arc-Lighter-solid/
%{__install} -pm 0644 %{buildroot}/%{_datadir}/themes/Arc-Dark/plank/dock.theme %{buildroot}/%{_datadir}/plank/themes/Arc-Dark/
%{__install} -pm 0644 %{buildroot}/%{_datadir}/themes/Arc-Dark-solid/plank/dock.theme %{buildroot}/%{_datadir}/plank/themes/Arc-Dark-solid/
%{__install} -pm 0644 %{buildroot}/%{_datadir}/themes/Arc-Darker/plank/dock.theme %{buildroot}/%{_datadir}/plank/themes/Arc-Darker/
%{__install} -pm 0644 %{buildroot}/%{_datadir}/themes/Arc-Darker-solid/plank/dock.theme %{buildroot}/%{_datadir}/plank/themes/Arc-Darker-solid/

# cleanup plank theme files from main package
rm -fvr %{buildroot}/%{_datadir}/themes/{Arc{,-solid},Arc-Lighter{,-solid},Arc-Darker{,-solid},Arc-Dark{,-solid}}/plank

%files
%license AUTHORS COPYING
%doc README.md
%{_datadir}/themes/*

%files plank
%if 0%{?fedora}
%{_datadir}/plank/themes/*
%else
%{_datadir}/plank
%endif


%changelog
## START: Generated by rpmautospec
* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20221218-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20221218-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20221218-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Aug 13 2023 Mukundan Ragavan <nonamedotc@gmail.com> - 20221218-4
- drop i686 to prevent failures on dependencies

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20221218-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20221218-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Dec 25 2022 Mukundan Ragavan <nonamedotc@gmail.com> - 20221218-1
- Update to latest version - v20221218

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 20220405-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Apr 08 2022 Mukundan Ragavan <nonamedotc@gmail.com> - 20220405-1
- Update to version 20220405

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 20220102-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Jan 03 2022 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 20220102-1
- Update to 20220108

* Sun Oct 31 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 20211018-1
- Update to 20211018
- Includes gtk4 themes

* Sun Jul 25 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 20210412-4
- Fix graphical glitches

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 20210412-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jul 05 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 20210412-2
- Add requires on gnome-themes-extra

* Fri Jul 02 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 20210412-1
- Update to 20210412
- Update spec to use meson

* Mon Feb 22 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 20210127-1
- Update to 20210127

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 20201013-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Nov 23 2020 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 20201013-1
- Update to 20201013
- Changed to new upstream

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 20181022-6
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 20181022-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 20181022-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 20181022-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 20181022-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Dec 19 2018 Leigh Scott <leigh123linux@googlemail.com> - 20181022-1
- New upstream release
- Adds recent support for newer gnome-shell and cinnamon versions

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 20170302-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 20170302-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Sep 02 2017 Björn Esser <besser82@fedoraproject.org> - 20170302-8
- Remove Requires: plank on EPEL and properly own the directory

* Tue Aug 29 2017 Björn Esser <besser82@fedoraproject.org> - 20170302-7
- Add several patches from upstream

* Mon Aug 28 2017 Björn Esser <besser82@fedoraproject.org> - 20170302-6
- Use Supplements on recent distros only

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20170302-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Jun 15 2017 Leigh Scott <leigh123linux@googlemail.com> - 20170302-4
- Add patch to fix OSD

* Sun May 28 2017 Leigh Scott <leigh123linux@googlemail.com> - 20170302-3
- remove margin:auto as it's not supported

* Mon May 01 2017 Björn Esser <besser82@fedoraproject.org> - 20170302-2
- Add Supplements: (%%{name} and plank) for Plank-theme addon-package

* Fri Mar 03 2017 Björn Esser <besser82@fedoraproject.org> - 20170302-1
- New upstream release (rhbz#1428616)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20161119-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Jan 29 2017 Björn Esser <besser82@fedoraproject.org> - 20161119-3
- Build a 'solid'-version of the theme, too (rhbz#1415364)
- Symlink all duplicate files to save disk-space

* Sun Jan 29 2017 Björn Esser <besser82@fedoraproject.org> - 20161119-2
- Add Patch0: fix missing gradient warning

* Tue Jan 10 2017 Björn Esser <bjoern.esser@gmail.com> - 20161119-1
- Initial rpm-release (rhbz#1411438)

* Mon Jan 09 2017 Björn Esser <bjoern.esser@gmail.com> - 20161119-0.2
- Add plank-subpkg and require Plank (rhbz#1411438)

* Mon Jan 09 2017 Björn Esser <bjoern.esser@gmail.com> - 20161119-0.1
- Initial package (rhbz#1411438)

## END: Generated by rpmautospec
